Squadcast is now SolarWinds Incident Response
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Status Pages/Maintenances

List Maintenances

get
/v4/statuspages/{statuspageID}/maintenance
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
statuspageIDstringRequired
Query parameters
startTimestringRequired
endTimestringRequired
Responses
200

The request has succeeded.

application/json
get/v4/statuspages/{statuspageID}/maintenance
GET /v4/statuspages/{statuspageID}/maintenance?startTime=text&endTime=text HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "id": 1,
      "title": "text",
      "pageID": 1,
      "note": "text",
      "components": [
        {
          "id": 1,
          "name": "text",
          "groupName": "text"
        }
      ],
      "startTime": "2026-01-01T00:00:00.000Z",
      "endTime": "2026-01-01T00:00:00.000Z",
      "maintenanceState": "text"
    }
  ],
  "meta": {
    "totalCount": 1
  }
}

Create Maintenance

post
/v4/statuspages/{statuspageID}/maintenance
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
statuspageIDstringRequired
Body
titlestringRequired
notestringRequired
componentsinteger[]Required
startTimestring · date-timeRequired
endTimestring · date-timeRequired
Responses
200

The request has succeeded.

application/json
post/v4/statuspages/{statuspageID}/maintenance
POST /v4/statuspages/{statuspageID}/maintenance HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 123

{
  "title": "text",
  "note": "text",
  "components": [
    1
  ],
  "startTime": "2026-01-01T00:00:00.000Z",
  "endTime": "2026-01-01T00:00:00.000Z"
}
{
  "data": {
    "id": 1,
    "title": "text",
    "pageID": 1,
    "note": "text",
    "components": [
      1
    ],
    "startTime": "2026-01-01T00:00:00.000Z",
    "endTime": "2026-01-01T00:00:00.000Z"
  }
}

Get Maintenance By ID

get
/v4/statuspages/{statuspageID}/maintenance/{maintenance_id}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
statuspageIDstringRequired
maintenance_idstringRequired
Responses
200

The request has succeeded.

application/json
get/v4/statuspages/{statuspageID}/maintenance/{maintenance_id}
GET /v4/statuspages/{statuspageID}/maintenance/{maintenance_id} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": {
    "ID": 1,
    "PageID": 1,
    "ComponentIDList": [
      1
    ],
    "Title": "text",
    "Note": "text",
    "StartTime": "2026-01-01T00:00:00.000Z",
    "EndTime": "2026-01-01T00:00:00.000Z",
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "deletedAt": "2026-01-01T00:00:00.000Z"
  }
}

Update Maintenance By ID

put
/v4/statuspages/{statuspageID}/maintenance/{maintenance_id}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
statuspageIDstringRequired
maintenance_idstringRequired
Body
titlestringRequired
notestringRequired
componentsinteger[]Optional
startTimestring · date-timeRequired
endTimestring · date-timeRequired
Responses
200

The request has succeeded.

application/json
put/v4/statuspages/{statuspageID}/maintenance/{maintenance_id}
PUT /v4/statuspages/{statuspageID}/maintenance/{maintenance_id} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 123

{
  "title": "text",
  "note": "text",
  "components": [
    1
  ],
  "startTime": "2026-01-01T00:00:00.000Z",
  "endTime": "2026-01-01T00:00:00.000Z"
}
{
  "data": {
    "id": 1,
    "title": "text",
    "pageID": 1,
    "note": "text",
    "components": [
      1
    ],
    "startTime": "2026-01-01T00:00:00.000Z",
    "endTime": "2026-01-01T00:00:00.000Z"
  }
}

Delete Maintenance By ID

delete
/v4/statuspages/{statuspageID}/maintenance/{maintenance_id}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
statuspageIDstringRequired
maintenance_idstringRequired
Responses
200

The request has succeeded.

application/json
delete/v4/statuspages/{statuspageID}/maintenance/{maintenance_id}
DELETE /v4/statuspages/{statuspageID}/maintenance/{maintenance_id} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": {
    "id": 1,
    "title": "text",
    "pageID": 1,
    "note": "text",
    "components": [
      1
    ],
    "startTime": "2026-01-01T00:00:00.000Z",
    "endTime": "2026-01-01T00:00:00.000Z"
  }
}

Last updated